MongoCursor::hasNext
MongoCursor::immortal
MongoCursor
PHP Manual

# MongoCursor::hint

(PECL mongo >=0.9.0)

MongoCursor::hint — Gives the database a hint about the query

### Description

public MongoCursor MongoCursor::hint ( array `$key_pattern` )

### Parameters

`key_pattern`

  Indexes to use for the query.

### Return Values

Returns this cursor.

### Errors/Exceptions

Throws MongoCursorException if this cursor has started iterating.

MongoCursor::hasNext
MongoCursor::immortal
MongoCursor
PHP Manual